package db;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.Properties;

public class ConnectionManager {
	private static String db="derbydb";
	private static String user="user";
	private static String password="secret";
	private static String openurl="jdbc:derby:"+db+";create=true";
	private static String closeurl="jdbc:derby:"+db+";shutdown=true";
	
	static {
		try {
			Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
		} catch(Exception e) {
			e.printStackTrace();
		}
		Runtime.getRuntime().addShutdownHook(new Thread() {
			public void run() {
				openShutdownConnection();
			}
		});
	}

	private static Connection openConnection(String url, Properties prop, boolean print) {
		Connection con=null;
		try {
			con=DriverManager.getConnection(url,prop);
		} catch(SQLException sqle) {
			if(print) sqle.printStackTrace();
			con=null;
		}
		return con;
	}

	private static Connection openConnection(String url, boolean print) {
		Properties prop=new Properties();
		prop.put("user",user);
		prop.put("password",password);
		return openConnection(url, prop, print);
	}

	public static Connection openConnection(String url, Properties prop) {
		return openConnection(url, prop, true);
	}

	public static Connection openConnection(String url) {
		return openConnection(url, true);
	}
		
	public static Connection openConnection() {
		return openConnection(openurl);
	}

	private static Connection openShutdownConnection() {
		return openConnection(closeurl, false);
	}	
}
