package db;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.io.BufferedReader;
import java.io.FileReader;

public class InsertData {

	public InsertData() throws Exception {
		BufferedReader br;
		String read;		
		FileReader fr;
		int updateCount;

		Connection con=ConnectionManager.openConnection();
		if(con==null) throw new Exception("Unable to Open Database");

		PreparedStatement stmt_stud=con.prepareStatement("insert into student values(?,?,?)");
		fr=new FileReader("student.txt");
		br=new BufferedReader(fr);
		while((read=br.readLine())!=null) {
			String id,name;
			int age;

			int pseppos; 
			int seppos=-1; 

			String tread=read.trim();
			pseppos=seppos+1; seppos=tread.indexOf("|",pseppos); id=tread.substring(pseppos,seppos); 
			pseppos=seppos+1; seppos=tread.indexOf("|",pseppos); name=tread.substring(pseppos,seppos);
			pseppos=seppos+1; seppos=tread.length(); age=Integer.parseInt(tread.substring(pseppos,seppos));
		
			stmt_stud.setString(1,id);
			stmt_stud.setString(2,name);
			stmt_stud.setInt(3,age);
			
			updateCount=stmt_stud.executeUpdate();
			System.out.println(""+updateCount+" rows updated.");
		}
		br.close();
		fr.close();
		stmt_stud.close(); stmt_stud=null;

		PreparedStatement stmt_cr=con.prepareStatement("insert into course values(?,?,?)");
		fr=new FileReader("course.txt");
		br=new BufferedReader(fr);
		while((read=br.readLine())!=null) {
			String cn,name;
			int units;

			int pseppos; 
			int seppos=-1; 

			String tread=read.trim();
			pseppos=seppos+1; seppos=tread.indexOf("|",pseppos); cn=tread.substring(pseppos,seppos); 
			pseppos=seppos+1; seppos=tread.indexOf("|",pseppos); name=tread.substring(pseppos,seppos);
			pseppos=seppos+1; seppos=tread.length(); units=Integer.parseInt(tread.substring(pseppos,seppos));
		
			stmt_cr.setString(1,cn);
			stmt_cr.setString(2,name);
			stmt_cr.setInt(3,units);
			
			updateCount=stmt_cr.executeUpdate();
			System.out.println(""+updateCount+" rows updated.");
		}
		br.close();
		fr.close();
		stmt_cr.close(); stmt_cr=null;

		PreparedStatement stmt_reg=con.prepareStatement("insert into regi(idno,courseno) values(?,?)");
		fr=new FileReader("reg.txt");
		br=new BufferedReader(fr);
		while((read=br.readLine())!=null) {
			String id,cn;

			int pseppos; 
			int seppos=-1; 

			String tread=read.trim();
			pseppos=seppos+1; seppos=tread.indexOf("|",pseppos); id=tread.substring(pseppos,seppos); 
			pseppos=seppos+1; seppos=tread.length(); cn=tread.substring(pseppos,seppos);
		
			stmt_reg.setString(1,id);
			stmt_reg.setString(2,cn);
			
			updateCount=stmt_reg.executeUpdate();
			System.out.println(""+updateCount+" rows updated.");
		}
		br.close();
		fr.close();
		stmt_reg.close(); stmt_reg=null;

		con.close(); con=null;
	}

	public static void main(String []args) throws Exception {
		new InsertData();
	}
}
