package db;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class QueryData {
	public static Connection con;
	public static PreparedStatement stmt_reg, stmt_stud, stmt_cour;

	static {
		try {
			con=ConnectionManager.openConnection();
			stmt_reg=con.prepareStatement("select courseno from regi where idno=?");
			stmt_stud=con.prepareStatement("select name from student where idno=?");
			stmt_cour=con.prepareStatement("select name from course where courseno=?");

			Runtime.getRuntime().addShutdownHook(new Thread() {
				public void run() {
					try {
						stmt_reg.close(); stmt_reg=null;
						stmt_stud.close(); stmt_stud=null;
						stmt_cour.close(); stmt_cour=null;
						con.close(); con=null;
					} catch(Exception e) {
						e.printStackTrace();
					}
				}
			} );
	
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public QueryData(String idno) throws Exception {
		ResultSet rs_stud, rs_regi, rs_cour;

		stmt_stud.setString(1,idno);
		rs_stud=stmt_stud.executeQuery();
		if(rs_stud.next()) {
			System.out.println("Name: "+rs_stud.getString(1));
		}

		stmt_reg.setString(1,idno);
		rs_regi=stmt_reg.executeQuery();
		while(rs_regi.next()) {
			String cno=rs_regi.getString(1);

			stmt_cour.setString(1,cno);
			rs_cour=stmt_cour.executeQuery();

			if(rs_cour.next()) {
				System.out.println("Course: "+rs_cour.getString(1));
			}
			
			rs_cour.close(); 
		}

		rs_cour=null;
		rs_regi.close(); rs_regi=null;
		rs_stud.close(); rs_stud=null;
	}

	public static void main(String []args) throws Exception {
		new QueryData("2001HS12832");
		new QueryData("2001HS12847");
	}
}
